Bug 245755 - [NEW PORT] devel/py-pyotp2289 Pure Python implementation of RFC-2289 - "A One-Time Password System"
Summary: [NEW PORT] devel/py-pyotp2289 Pure Python implementation of RFC-2289 - "A One...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2020-04-20 05:08 UTC by Simeon Simeonov
Modified: 2020-04-27 23:52 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Adding the port diff (2.85 KB, patch)
2020-04-20 05:08 UTC, Simeon Simeonov
no flags Details | Diff
Modified diff (2.90 KB, patch)
2020-04-20 07:54 UTC, Simeon Simeonov
no flags Details | Diff
Testing security/py-pyotp2289 (10.46 KB, text/plain)
2020-04-23 09:53 UTC, Simeon Simeonov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simeon Simeonov 2020-04-20 05:08:06 UTC
Created attachment 213592 [details]
Adding the port diff

Adding a new port as described in Porters handbook

"The system provides authentication for system access (login) and other
applications requiring authentication that is secure against passive attacks
based on replaying captured reusable passwords. OTP evolved from the S/KEY
(S/KEY is a trademark of Bellcore) One-Time Password System that was released
by Bellcore."

https://github.com/blackm0re/pyotp2289
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-20 06:35:40 UTC
Thank you for the new port and patch Simeon

Minor tweak: to the do-test target, add "-o addopts=" (without quotes) to the end of the pytest line. This ensures that any current or future pytest.ini or setup.cfg:[pytest] lines are ignored (such as forced --coverage inclusion, etc)

I'd probably also put this under security as the primary category as well
Comment 2 Simeon Simeonov 2020-04-20 07:54:02 UTC
Created attachment 213595 [details]
Modified diff

Hi and thank you for your feedback.

Attaching a modified svn diff.
Comment 3 Simeon Simeonov 2020-04-23 07:01:06 UTC
Hi again.

Not sure if I understand the flagging system.
Do you need more feedback from me?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-23 08:08:40 UTC
(In reply to Simeon Simeonov from comment #3)

The only additional thing maintainers can provide is confirmation of QA (portlint, poudriere) which can help to pickup issues early, for more info and instructions see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html

But otherwise no other feedback. People can tell when something needs their response/acknowledgement, if their (bugzilla) email is in the value of a flag (like maintainer-feedback) with the ? value set

In the previous change to this issue I made, i changed it from needing feedback ? to + (provided feedback, in this case, the updated patch)
Comment 5 Simeon Simeonov 2020-04-23 09:53:19 UTC
Created attachment 213714 [details]
Testing security/py-pyotp2289

Thank you again for the feedback!

I ran portlint before submitting the port. Submitting output (script pyotp2289.log) of the testing sequence (and portlint).
Comment 6 commit-hook freebsd_committer 2020-04-27 23:51:08 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr 27 23:50:17 UTC 2020
New revision: 533214
URL: https://svnweb.freebsd.org/changeset/ports/533214

Log:
  Add security/py-pyotp2289

  Pure Python implementation of RFC-2289 - "A One-Time Password System"

  "The system provides authentication for system access (login) and other
  applications requiring authentication that is secure against passive attacks
  based on replaying captured reusable passwords. OTP evolved from the S/KEY
  (S/KEY is a trademark of Bellcore) One-Time Password System that was released
  by Bellcore."

  WWW: https://github.com/blackm0re/pyotp2289

  PR:		245755
  Submitted by:	Simeon Simeonov <sgs@pichove.org>

Changes:
  head/security/Makefile
  head/security/py-pyotp2289/
  head/security/py-pyotp2289/Makefile
  head/security/py-pyotp2289/distinfo
  head/security/py-pyotp2289/pkg-descr
Comment 7 commit-hook freebsd_committer 2020-04-27 23:51:09 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr 27 23:50:55 UTC 2020
New revision: 54077
URL: https://svnweb.freebsd.org/changeset/doc/54077

Log:
  Add Simeon Simeonov to contributors

  Maintainer of:	security/py-pyotp2289

  PR:		245755

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 8 Danilo G. Baio freebsd_committer 2020-04-27 23:52:29 UTC
Committed, thanks for your contribution.